Package io.vertx.ext.web.api.service.generator.model

## Class WebApiProxyModel

- java.lang.Object
- - io.vertx.codegen.processor.ClassModel
  - - io.vertx.serviceproxy.generator.model.ProxyModel
    - - io.vertx.ext.web.api.service.generator.model.WebApiProxyModel

- All Implemented Interfaces:
    `io.vertx.codegen.processor.Model`

      public class WebApiProxyModel
      extends ProxyModel

  Author:
    Francesco Guardiani

- - ### Field Summary

    - ### Fields inherited from class io.vertx.codegen.processor.ClassModel

      `abstractSuperTypes, annotations, annotationValueInfoFactory, anyJavaTypeMethods, collectedTypes, concrete, concreteSuperType, constants, deprecated, deprecatedDesc, doc, docFactory, elementUtils, env, FUNCTION, functionArgs, futureMethods, handlerArg, ifaceComment, ifaceFQCN, ifacePackageName, ifaceSimpleName, importedTypes, ITERABLE, iterableArg, ITERATOR, iteratorArg, JSON_ARRAY, JSON_OBJECT, messager, methodAnnotationsMap, methodMap, methods, modelElt, processed, readStreamArg, referencedDataObjectTypes, referencedEnumTypes, referencedTypes, superTypes, SUPPLIER, supplierArg, type, typeFactory, typeUtils, VERTX_HANDLER, VERTX_READ_STREAM, VERTX_WRITE_STREAM, writeStreamArg`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebApiProxyModel​(ProcessingEnvironment env, io.vertx.codegen.processor.type.TypeMirrorFactory typeFactory, TypeElement modelElt)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `checkParamType​(ExecutableElement elem, io.vertx.codegen.processor.type.TypeInfo typeInfo, int pos, int numParams, boolean allowAnyJavaType)` |
    `protected io.vertx.codegen.processor.MethodInfo` | `createMethodInfo​(Set<io.vertx.codegen.processor.type.ClassTypeInfo> ownerTypes, String methodName, String comment, io.vertx.codegen.processor.doc.Doc doc, io.vertx.codegen.processor.type.TypeInfo returnType, io.vertx.codegen.processor.doc.Text returnDescription, boolean isFluent, boolean isCacheReturn, List<io.vertx.codegen.processor.ParamInfo> mParams, ExecutableElement methodElt, boolean isStatic, boolean isDefault, ArrayList<io.vertx.codegen.processor.TypeParamInfo.Method> typeParams, TypeElement declaringElt, boolean methodDeprecated, io.vertx.codegen.processor.doc.Text methodDeprecatedDesc, boolean methodOverride)` |
    `String` | `getKind()` |

    - ### Methods inherited from class io.vertx.serviceproxy.generator.model.ProxyModel

      `checkMethod, checkReturnType`

    - ### Methods inherited from class io.vertx.codegen.processor.ClassModel

      `getAbstractSuperTypes, getAnnotations, getAnyJavaTypeMethods, getConcreteSuperType, getConstants, getDeprecatedDesc, getDoc, getElement, getFqn, getFunctionArgs, getHandlerArg, getIfaceComment, getIfaceFQCN, getIfacePackageName, getIfaceSimpleName, getImportedTypes, getInstanceMethods, getIterableArg, getIteratorArg, getMethodAnnotations, getMethodMap, getMethods, getModule, getReadStreamArg, getReferencedDataObjectTypes, getReferencedEnumTypes, getReferencedTypes, getStaticMethods, getSuperTypeArguments, getSuperTypes, getSupplierArg, getType, getTypeParams, getVars, getWriteStreamArg, isConcrete, isDeprecated, isFunction, isHandler, isIterable, isIterator, isReadStream, isSupplier, isWriteStream, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.codegen.processor.Model

      `getAnnotation`

- - ### Constructor Detail

    - #### WebApiProxyModel

          public WebApiProxyModel​(ProcessingEnvironment env,
                                  io.vertx.codegen.processor.type.TypeMirrorFactory typeFactory,
                                  TypeElement modelElt)

  - ### Method Detail

    - #### getKind

          public String getKind()

      Specified by:
        `getKind` in interface `io.vertx.codegen.processor.Model`
      Overrides:
        `getKind` in class `ProxyModel`

    - #### checkParamType

          protected void checkParamType​(ExecutableElement elem,
                                        io.vertx.codegen.processor.type.TypeInfo typeInfo,
                                        int pos,
                                        int numParams,
                                        boolean allowAnyJavaType)

      Overrides:
        `checkParamType` in class `ProxyModel`

    - #### createMethodInfo

          protected io.vertx.codegen.processor.MethodInfo createMethodInfo​(Set<io.vertx.codegen.processor.type.ClassTypeInfo> ownerTypes,
                                                                           String methodName,
                                                                           String comment,
                                                                           io.vertx.codegen.processor.doc.Doc doc,
                                                                           io.vertx.codegen.processor.type.TypeInfo returnType,
                                                                           io.vertx.codegen.processor.doc.Text returnDescription,
                                                                           boolean isFluent,
                                                                           boolean isCacheReturn,
                                                                           List<io.vertx.codegen.processor.ParamInfo> mParams,
                                                                           ExecutableElement methodElt,
                                                                           boolean isStatic,
                                                                           boolean isDefault,
                                                                           ArrayList<io.vertx.codegen.processor.TypeParamInfo.Method> typeParams,
                                                                           TypeElement declaringElt,
                                                                           boolean methodDeprecated,
                                                                           io.vertx.codegen.processor.doc.Text methodDeprecatedDesc,
                                                                           boolean methodOverride)

      Overrides:
        `createMethodInfo` in class `ProxyModel`